org.jboss.jca.common.metadata.resourceadapter

## Class WorkManagerImpl

- java.lang.Object
- - org.jboss.jca.common.metadata.resourceadapter.WorkManagerImpl

- All Implemented Interfaces:
    java.io.Serializable, org.jboss.jca.common.api.metadata.resourceadapter.WorkManager

      public class WorkManagerImpl
      extends java.lang.Object
      implements org.jboss.jca.common.api.metadata.resourceadapter.WorkManager

  WorkManager configuration
  Author:
    Jesper Pedersen
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.common.api.metadata.resourceadapter.WorkManager

      `org.jboss.jca.common.api.metadata.resourceadapter.WorkManager.Tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkManagerImpl(org.jboss.jca.common.api.metadata.resourceadapter.WorkManagerSecurity security)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `org.jboss.jca.common.api.metadata.resourceadapter.WorkManagerSecurity` | `getSecurity()` Get the security settings
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkManagerImpl

          public WorkManagerImpl(org.jboss.jca.common.api.metadata.resourceadapter.WorkManagerSecurity security)

      Constructor
      Parameters:
        `security` - security

  - ### Method Detail

    - #### getSecurity

          public org.jboss.jca.common.api.metadata.resourceadapter.WorkManagerSecurity getSecurity()

      Get the security settings
      Specified by:
        `getSecurity` in interface `org.jboss.jca.common.api.metadata.resourceadapter.WorkManager`
      Returns:
        The value

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)